Bug 668098 - Review Request: rubygem-tzinfo - Ruby library that uses the standard tz (Olson) database to provide daylight savings aware transformations between times in different time zones.
Summary: Review Request: rubygem-tzinfo - Ruby library that uses the standard tz (Olso...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-07 21:50 UTC by Minnikhanov
Modified: 2011-04-11 13:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-26 17:47:49 UTC
mmorsi: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Minnikhanov 2011-01-07 21:50:49 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-tzinfo.spec
SRPM URL: http://dl.dropbox.com/u/14118661/rubygem-tzinfo-0.3.23-1.fc14.src.rpm
Description: 
TZInfo uses the tz database (www.twinsun.com/tz/tz-link.htm) to provide daylight-savings aware transformations between times in different timezones. This is the same database as used for zoneinfo on Unix machines.
The tz database has been imported (using TZDataParser) and turned into a set of Ruby modules (which are packaged with this release).

Hi. I just finished packaging up rubygem-tzinfo, and I would appreciate a
review so that I can get it into Fedora Extras. 

https://rubygems.org/gems/tzinfo (ver. 0.3.23 August 18, 2010 )

Packed for "rails 3.0.x in F15" in "Ruby SIG mailing list"
http://lists.fedoraproject.org/pipermail/ruby-sig/2010-December/000376.html

koji scratch build successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2708055

Comment 1 Minnikhanov 2011-01-18 17:51:19 UTC
Update to upstream release # 0.3.24 January 15, 2011 
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-tzinfo.spec
SRPM URL: http://dl.dropbox.com/u/14118661/rubygem-tzinfo-0.3.24-1.fc14.src.rpm

koji scratch build successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2729534

Comment 2 Mo Morsi 2011-01-19 02:46:04 UTC
Looks mostly good. The only comment I would say is if you could include a %check section and run 'rake test' in it. You will have to add a BuildRequies(check)  for rubygem(rake)

rpmlint looks good, koji looks good

Comment 3 Mo Morsi 2011-01-24 20:59:36 UTC
To run the test suite, simply add the following to the spec

%check
pushd %{buildroot}%{geminstdir}
rake test

You will also need to add "BuildRequires: rubygem(rake)"

Up to you though, this is not required for approval, and I've verified the test suite works against this rpm in any case. 

The package looks to be Fedora compliant overall minus one nit, please remove the "rm -rf %{buildroot}" in the %install section.

APPROVED

Comment 4 Minnikhanov 2011-01-25 20:07:08 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-tzinfo.spec
SRPM URL: http://dl.dropbox.com/u/14118661/rubygem-tzinfo-0.3.24-2.fc14.src.rpm

koji scratch build successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2729534
Test pass.

(In reply to comment #3)
> To run the test suite, simply add the following to the spec
> 
> %check
> pushd %{buildroot}%{geminstdir}
> rake test
> 
> You will also need to add "BuildRequires: rubygem(rake)"

+ Fixed.

> The package looks to be Fedora compliant overall minus one nit, please remove
> the "rm -rf %{buildroot}" in the %install section.

+ Fixed.

> 
> APPROVED

I am very thankful for collaboration.

Comment 5 Minnikhanov 2011-01-25 20:13:33 UTC
New Package SCM Request
=======================
Package Name: rubygem-tzinfo
Short Description: Ruby library that uses the standard tz (Olson) database to provide daylight savings aware transformations between times in different time zones.
Owners: minn
Branches: 
InitialCC:

Comment 7 Jason Tibbitts 2011-01-25 23:41:45 UTC
Git done (by process-git-requests).

Comment 8 Mo Morsi 2011-01-26 17:47:49 UTC
See that you push to rawhide and didn't request any other Fedora branches. Closing this out. Appreciate it.

Comment 9 Minnikhanov 2011-04-11 13:38:37 UTC
New Package SCM Request
=======================
Package Name: rubygem-tzinfo
Short Description: Ruby library that uses the standard tz (Olson) database to
provide daylight savings aware transformations between times in different time
zones.
Owners: minn
Branches: f15
InitialCC:

Comment 10 Minnikhanov 2011-04-11 13:58:23 UTC
(In reply to comment #9)
> New Package SCM Request
> =======================
> Package Name: rubygem-tzinfo
> Short Description: Ruby library that uses the standard tz (Olson) database to
> provide daylight savings aware transformations between times in different time
> zones.
> Owners: minn
> Branches: f15
> InitialCC:

Sorry. Not need.


Note You need to log in before you can comment on or make changes to this bug.